Commits

Ian Bicking  committed 8146649 Merge

Automated merge with http://k0s.org/hg/virtualenv

  • Participants
  • Parent commits ede3a1a, 9d4f196

Comments (0)

Files changed (5)

File bin/regen-docs

+#!/bin/bash
+
+if [ ! -e 'virtualenv.py' ] ; then
+  echo "You should run this script as ./bin/$(basename $0)"
+  exit 2
+fi
+mkdir -p docs/_static docs/_build
+#for F in basic.css default.css ; do
+#    rm -f docs/_build/_static/$F
+#done
+sphinx-build -E -b html docs/ docs/_build || exit 1
+if [ "$1" = "publish" ] ; then
+  cd docs/
+  echo "Uploading files..."
+  scp -r _build/ root@cloudsilverlining.org:/var/lib/silverlining/writable-roots/bbdocs/virtualenv.openplans.org/
+  ssh root@cloudsilverlining.org 'chown -R www-data:www-data /var/lib/silverlining/writable-roots/bbdocs/'
+fi

File docs/news.txt

 * Fix for Mac OS X Framework builds that use
   ``--universal-archs=intel``
 
+* Fix ``activate_this.py`` on Windows
+
 1.4.7
 -----
 

File regen-docs

-#!/bin/bash
-
-mkdir -p docs/_static docs/_build
-#for F in basic.css default.css ; do
-#    rm -f docs/_build/_static/$F
-#done
-sphinx-build -E -b html docs/ docs/_build || exit 1
-if [ "$1" = "publish" ] ; then
-  cd docs/_build/
-  tar czvf - . | ssh flow.openplans.org 'ssh acura.openplans.org "cd /www/virtualenv.openplans.org/htdocs/; tar xzvf -"'
-  exit 2
-fi
-
-#pushd docs/_build/_static
-#for F in basic.css default.css ; do
-#  if [ -e ../../_static/$F ] ; then
-#    rm -f $F
-#    ln -s ../../_static/$F
-#  fi
-#done
-#popd
-    

File virtualenv.py

 
 ##file activate_this.py
 ACTIVATE_THIS = """
-eJx1UsGOnDAMvecrIlYriDRlKvU20h5aaY+teuilGo1QALO4CwlKAjP8fe1QGGalRoLEefbzs+Mk
-Sb7NcvRo3iTcoGqwgyy06As+HWSNVciKaBTFywYoJWc7yit2ndBVwEkHkIzKCV0YdQdmkvShs6YH
-E3IhfjFaaSNLoHxQy2sLJrL0ow98JQmEG/rAYn7OobVGogngBgf0P0hjgwgt7HOUaI5DdBVJkggR
-3HwSktaqWcCtgiHIH7qHV+esW2CnkRJ+9R5cQGsikkWEV/J7leVGs9TV4TvcO5QOOrTHYI+xeCjY
-JR/m9GPDHv2oSZunUokS2A/WBelnvx6tF6LUJO2FjjlH5zU6Q+Kz/9m69LxvSZVSwiOlGnT1rt/A
-77j+WDQZ8x9k2mFJetOle88+lc8sJJ/AeerI+fTlQigTfVqJUiXoKaaC3AqmI+KOnivjMLbvBVFU
-1JDruuadNGcPmkgiBTnQXUGUDd6IK9JEQ9yPdM96xZP8bieeMRqTuqbxIbbey2DjVUNzRs1rosFS
-TsLAdS/0fBGNdTGKhuqD7mUmsFlgGjN2eSj1tM3GnjfXwwCmzjhMbR4rLZXXk+Z/6Hp7Pn2+kJ49
-jfgLHgI4Jg==
+eJyNUk2L3DAMvftXiCxLEphmSvc2MIcu9NaWHnopwxCcRNlRN7GD7clM/n0lp5mPZQs1JLb8pKcn
+WUmSPE9w9GReAM9Yt9RhFg7kSzmtoKE6ZGU0ynJ7AfIcJnuEE3Wd0nWgUQcEQWEkF466QzMCf+Ss
+6dGEQqmfgtbaQIWcDxs4HdBElv7og1wBg3gmH0TMjykcrAEyAd3gkP8rMDaocMDbHBWZ9RBdVZIk
+SgU3bRTwWjQrPNc4BPiue/zinHUz7DRxws/eowtkTUSyiMhKfi2y3NHMdXX0itcOpYMOh3Ww61g8
+luJSDFP6tmH3ftyki2eeJ7mifrAugJ/8crReqUqztC0fC4kuGnKGxWf/snXlZb8kzXMmboW0GDod
+Wut62G4hPZF5+pTO5XtiKYOuX/UL+ptcvy2ZTPKvIP1KFdeTiuuHxTXNFXYe/5+km0nmJ3r0KTxG
+YSM6z23fbZ7276Tg9x5LdiuFjok7noks1sP2tWscpeRX6KaRnRuT3WnKlQQ51F3JlC2dmSvSRENd
+j3wvetUDfLOjDDLPYtPwjDJb7yHYeNXyMPMLtdEQKRtl8HQrdLdX3O4YxZP7RvfcNH6ZCPMsi8td
+qZvLAN7yFnoY0DSZhOUXj4WWy+tZ8190ud1tPu5Zzy2N+gOGaVfA
 """.decode("base64").decode("zlib")
 
 if __name__ == '__main__':

File virtualenv_support/activate_this.py

 import os
 
 base = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
-site_packages = os.path.join(base, 'lib', 'python%s' % sys.version[:3], 'site-packages')
+if sys.platform == 'win32':
+    site_packages = os.path.join(base, 'Lib', 'site-packages')
+else:
+    site_packages = os.path.join(base, 'lib', 'python%s' % sys.version[:3], 'site-packages')
 prev_sys_path = list(sys.path)
 import site
 site.addsitedir(site_packages)